#
# spec file for package perl-Module-CPANTS-Analyse
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Module-CPANTS-Analyse
Name:           perl-Module-CPANTS-Analyse
Version:        1.20.0
Release:        2.5
%define cpan_version 1.02
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Generate Kwalitee ratings for a distribution
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/I/IS/ISHIGAKI/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Archive::Any::Lite) >= 0.06
BuildRequires:  perl(Archive::Tar) >= 1.76
BuildRequires:  perl(Array::Diff) >= 0.04
BuildRequires:  perl(CPAN::Meta::Validator) >= 2.133380
BuildRequires:  perl(CPAN::Meta::YAML) >= 0.008
BuildRequires:  perl(Class::Accessor) >= 0.19
BuildRequires:  perl(Data::Binary)
BuildRequires:  perl(ExtUtils::MakeMaker::CPANfile) >= 0.09
BuildRequires:  perl(File::Find::Object) >= 0.2.1
BuildRequires:  perl(JSON::PP)
BuildRequires:  perl(List::Util) >= 1.33
BuildRequires:  perl(Module::Find)
BuildRequires:  perl(Parse::Distname)
BuildRequires:  perl(Perl::PrereqScanner::NotQuiteLite) >= 0.9901
BuildRequires:  perl(Software::License) >= 0.103012
BuildRequires:  perl(Test::FailWarnings)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(version) >= 0.73
Requires:       perl(Archive::Any::Lite) >= 0.06
Requires:       perl(Archive::Tar) >= 1.76
Requires:       perl(Array::Diff) >= 0.04
Requires:       perl(CPAN::Meta::Validator) >= 2.133380
Requires:       perl(CPAN::Meta::YAML) >= 0.008
Requires:       perl(Class::Accessor) >= 0.19
Requires:       perl(Data::Binary)
Requires:       perl(File::Find::Object) >= 0.2.1
Requires:       perl(JSON::PP)
Requires:       perl(List::Util) >= 1.33
Requires:       perl(Module::Find)
Requires:       perl(Parse::Distname)
Requires:       perl(Perl::PrereqScanner::NotQuiteLite) >= 0.9901
Requires:       perl(Software::License) >= 0.103012
Requires:       perl(version) >= 0.73
Provides:       perl(Module::CPANTS::Analyse) = 1.20.0
Provides:       perl(Module::CPANTS::Kwalitee) = 1.20.0
Provides:       perl(Module::CPANTS::Kwalitee::BrokenInstaller) = 1.20.0
Provides:       perl(Module::CPANTS::Kwalitee::CpantsErrors) = 1.20.0
Provides:       perl(Module::CPANTS::Kwalitee::Distname) = 1.20.0
Provides:       perl(Module::CPANTS::Kwalitee::Distros) = 1.20.0
Provides:       perl(Module::CPANTS::Kwalitee::Files) = 1.20.0
Provides:       perl(Module::CPANTS::Kwalitee::FindModules) = 1.20.0
Provides:       perl(Module::CPANTS::Kwalitee::License) = 1.20.0
Provides:       perl(Module::CPANTS::Kwalitee::Manifest) = 1.20.0
Provides:       perl(Module::CPANTS::Kwalitee::MetaYML) = 1.20.0
Provides:       perl(Module::CPANTS::Kwalitee::NeedsCompiler) = 1.20.0
Provides:       perl(Module::CPANTS::Kwalitee::Pod) = 1.20.0
Provides:       perl(Module::CPANTS::Kwalitee::Prereq) = 1.20.0
Provides:       perl(Module::CPANTS::Kwalitee::Repackageable) = 1.20.0
Provides:       perl(Module::CPANTS::Kwalitee::Signature) = 1.20.0
Provides:       perl(Module::CPANTS::Kwalitee::Uses) = 1.20.0
Provides:       perl(Module::CPANTS::Kwalitee::Version) = 1.20.0
%undefine       __perllib_provides
%{perl_requires}
# MANUAL BEGIN
Source99:       rpmlintrc
# MANUAL END

%description
Generate Kwalitee ratings for a distribution

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc AUTHORS Changes README.md TODO

%changelog
* Fri Mar  8 2024 Tina Müller <tina.mueller@suse.com>
- Fix disabling of __perllib_provides
* Mon Sep 11 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.02
  see /usr/share/doc/packages/perl-Module-CPANTS-Analyse/Changes
  1.02 2023-09-10
  - Treat use v5.36 as use_warnings
  - Skip some of the manifest test if symlink is not available
  - Improve prereq sorting
  - Improve pod detection
  - Improve script detection
  - Use Parse::Distname to get a little more information from a distribution name
  - Dedupe possible licences
  - Add Object::Pad as use strict equivalent (Wesley Schwengle)
  - Fix has_license_in_source_file for distributions that contain only a
    script under bin or scripts (Sven Kirmess)
* Tue Sep 14 2021 Dirk Stoecker <opensuse@dstoecker.de>
- add rpmlintrc as source to spec file
* Thu Aug  8 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.01
  see /usr/share/doc/packages/perl-Module-CPANTS-Analyse/Changes
  1.01 2019-08-08
  - Fixed not to set an error message when extracted nicely
    (spotted by Martin Becker++)
  - Fixed to restore mtime of MANIFEST.SKIP if it is modified by
    [#]include_default
  - Improved primary module detection
  - Fixed to catch CPAN::Meta::YAML's warnings (of duplicate keys)
  - Improved test_prereqs_match to handle t::lib::Util, and ignore
    files that contain but don't end with .t
  - Fixed to store multiple licenses in META files
* Wed Apr  3 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.00
  see /usr/share/doc/packages/perl-Module-CPANTS-Analyse/Changes
  1.00 2019-02-03
  * * BACKWARD INCOMPATIBLE CHANGE **
  - Module::CPANTS::Kwalitee::Uses now uses a different prereq scanner
    (Perl::PrereqScanner::NotQuiteLite).
  - Added new kwalitee metrics:
    no_maniskip_error, no_missing_files_in_provides, no_files_to_be_skipped
  - Delayed plugin loading
  0.99 2019-01-15
  - requires Module::Find
  0.98 2019-01-15
  * * BACKWARD INCOMPATIBLE (INTERNAL) CHANGE **
  - Module::CPANTS::Kwalitee now uses Module::Find to find
    Kwalitee modules (instead of Module::Pluggable that unconditonally
    spits a deprecation warning). You usually don't need to care
    but if you have your custom Kwalitee plugin loader (such as
    Module::CPANTS::SiteKwalitee), you need to change it.
    Sorry for the inconvenience.
  - Allow dash and dot in script name in the NAME section for
    non-pm, non-pod files
  0.97_11 2018-04-22
  - no changes; for testing
  0.97_10 2018-04-22
  - no changes; for testing
  0.97_09 2018-04-22
  - no changes; for testing
  0.97_08 2018-04-22
  - no changes; for testing
  0.97_07 2018-04-22
  - no changes; for testing
  0.97_06 2018-04-22
  - no changes; for testing
  0.97_05 2018-04-22
  - no changes; for testing
  0.97_04 2018-04-21
  - Skip everything in MANIFEST.SKIP while testing symlinks (GH#33, Tux++)
  0.97_03 2016-09-01
  - Not to check use_strict/use_warnings for Perl 6 modules in a
    Perl 5 distribution (Stefan Seifert++)
  - Worked around a File::Find::Object issue (reported by dolmen)
  - Fixed dynamic_config handling (David Golden++)
  - Improved LICENSE file detection (RT#114247)
  0.97_02 2016-04-27
  - Requires List::Util 1.33
  0.97_01 2016-04-24
  - Added has_meta_json metric (RT#107885)
  - Accept a few more README extensions (mrcaron)
  - Accept two more Moose modules as strict equivalents
  - Various micro optimization for performance
  - Dropped a few dependencies
  - Doc patch from brac-mac and joenio
* Fri Apr 24 2015 coolo@suse.com
- updated to 0.96
  see /usr/share/doc/packages/perl-Module-CPANTS-Analyse/Changes
* Fri Jun  3 2011 coolo@novell.com
- fix requires
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Thu Aug 26 2010 pascal.bleser@opensuse.org
- initial package (0.85)
